当前位置: IT大杂烩 > Ubuntu  > 解决 linux [Fedora] 下 内核升级 导致VMware 启动出现"before you can run vmware workstation, serveral modules must be complied and loaded into the runing kernel"

解决 linux [Fedora] 下 内核升级 导致VMware 启动出现"before you can run vmware workstation, serveral modules must be complied and loaded into the runing kernel"

www.someabcd.com  网友分享于:Jun 8, 2018 6:03:11 PM

标签:style   blog   http   io   ar   color   sp   for   on   

bubuko.com,布布扣

bubuko.com,布布扣

解决:

  开机启动 进入 升级之前的内核系统 然后 执行卸载 VMware 命令

# vmware-uninstall 
You have gotten this message because you are either downgrading VMware
Workstation, Player, or VIX, or because you attempted to run either
vmware-uninstall or vmware-uninstall-vix.

If you are downgrading, please uninstall all newer versions first, then
install again.

The vmware-uninstall* scripts have been deprecated.  Instead, please use
the vmware-installer.

Long form:
      vmware-installer --uninstall-product PRODUCT
Short form:
      vmware-installer -u PRODUCT

Where PRODUCT is one of vmware-workstation, vmware-player, or vmware-vix.

For a list of which products are installed, you may run:
      vmware-installer --list-products
or:
      vmware-installer -l


# vmware-installer -l
Product Name         Product Version     
==================== ====================
vmware-workstation   10.0.4.2249910      
# vmware-installer -u vmware-workstation

然后重启进入最新的内核系统 安装

# ./VMware-Workstation-Full-10.0.4-2249910.x86_64_[JZ6WK-4529P-HZAA1-9RAG6-33JNR].bundle

 

解决 linux [Fedora] 下 内核升级 导致VMware 启动出现"before you can run vmware workstation, serveral modules must be complied and loaded into the runing kernel"

标签:style   blog   http   io   ar   color   sp   for   on   

发布此文章仅为传递网友分享,不代表本站观点,若侵权请联系我们删除,本站将不对此承担任何责任。
Copyright ©2018  IT大杂烩  版权所有  京ICP备11030978号-1 网站地图